<div class="hiddenMenuContainer" fxLayout="column">
  <span [class]="'hiddenMenuTitle ' + focus">{{title}}</span>
  <div ngbDropdown #myDrop="ngbDropdown">
    <div class="input-group" (click)="$event.stopPropagation(); myDrop.open();">


      <input #fix type="text" [class]="'form-control ' + missingInput"
             [placeholder]="getValueOf(value)" (focus)="serach = ''; filter();"
             (focus)="changeFocus(true)"
             (blur)="log($event.target.value); $event.target.value = ''; changeFocus(false);"
             (keyup)="tryList($event); $event.key === 'Enter' ? $event.target.value = '': ''"
             (input)="serach = $event.target.value; filter();" ngbDropdownToggle>

      <div class="input-group-append">

        <button *ngIf="myDrop.isOpen();" [class]="'btn btn-' + (missingInput? 'danger' : 'primary')" type="button"
                (click)="$event.stopPropagation(); myDrop.close(); serach = ''; filter();">
          <span class="fa fa-arrow-up"></span>
        </button>
        <button *ngIf="!myDrop.isOpen();" [class]="'btn btn-' + (missingInput? 'danger' : 'primary')" type="button"
                (click)="$event.stopPropagation(); myDrop.open(); serach = ''; filter();">
          <span class="fa fa-arrow-down"></span>
        </button>
      </div>
    </div>


    <div class="dropdown-menu" ngbDropdownMenu>
      <div class="item-container">

        <button class="dropdown-item" (click)="log(TEXT_REMOVE);">{{placeholder}}</button>

        <div *ngFor="let entity of displayList" fxLayout="row">
          <button *ngIf="isPrimitive" class="dropdown-item" (click)="log(entity);" fxLayoutAlign="space-between center">
            {{entity}}

            <div *ngIf="getValueOf(entity) === getValueOf(value) && currentLable" class="badge badge-success">
              current
            </div>
          </button>
          <button *ngIf="!isPrimitive" class="dropdown-item" (click)="log(entity);" fxLayoutAlign="space-between center">
            {{getValueOf(entity)}}
            <div *ngIf="getValueOf(entity) === getValueOf(value) && currentLable" class="badge badge-success">
              current
            </div>
          </button>
        </div>
      </div>
    </div>
  </div>

</div>
